org.apache.olingo.odata2.api.processor.part

## Interface EntityComplexPropertyProcessor

- All Superinterfaces:
    ODataProcessor
  All Known Implementing Classes:
    CustomODataJPAProcessor, ListsProcessor, ODataJPADefaultProcessor, ODataJPAProcessor, ODataSingleProcessor

      public interface EntityComplexPropertyProcessor
      extends ODataProcessor

  Execute a OData complex property request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `readEntityComplexProperty(GetComplexPropertyUriInfo uriInfo, String contentType)` Reads a complex property of an entity.
    `ODataResponse` | `updateEntityComplexProperty(PutMergePatchUriInfo uriInfo, InputStream content, String requestContentType, boolean merge, String contentType)` Updates a complex property of an entity.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.processor.ODataProcessor

      `getContext, setContext`

- - ### Method Detail

    - #### readEntityComplexProperty

          ODataResponse readEntityComplexProperty(GetComplexPropertyUriInfo uriInfo,
                                                  String contentType)
                                           throws ODataException

      Reads a complex property of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        a `ODataResponse` object
      Throws:
        `ODataException`

    - #### updateEntityComplexProperty

          ODataResponse updateEntityComplexProperty(PutMergePatchUriInfo uriInfo,
                                                    InputStream content,
                                                    String requestContentType,
                                                    boolean merge,
                                                    String contentType)
                                             throws ODataException

      Updates a complex property of an entity.
      Parameters:
        `uriInfo` - information about the request URI
        `content` - the content of the request, containing the updated property data
        `requestContentType` - the content type of the request body
        `merge` - if `true`, properties not present in the data are left unchanged; if `false`, they are reset
        `contentType` - the content type of the response
      Returns:
        a `ODataResponse` object
      Throws:
        `ODataException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.